Loading...
Searching...
No Matches
websocketpp::config::asio_client::transport_config Struct Reference
Inheritance diagram for websocketpp::config::asio_client::transport_config:

## Public Types

typedef type::concurrency_type | concurrency_type
typedef type::alog_type | alog_type
typedef type::elog_type | elog_type
typedef type::request_type | request_type
typedef type::response_type | response_type
typedef websocketpp::transport::asio::basic_socket::endpoint | socket_type
Public Types inherited from websocketpp::config::core_client::transport_config
typedef type::concurrency_type | concurrency_type
typedef type::elog_type | elog_type
typedef type::alog_type | alog_type
typedef type::request_type | request_type
typedef type::response_type | response_type

## Additional Inherited Members

Static Public Attributes inherited from websocketpp::config::core_client::transport_config
static bool const | enable_multithreading = true
static const long | timeout_socket_pre_init = 5000
| Default timer values (in ms).
static const long | timeout_proxy = 5000
| Length of time to wait before a proxy handshake is aborted.
static const long | timeout_socket_post_init = 5000
| Length of time to wait for socket post-initialization.
static const long | timeout_dns_resolve = 5000
| Length of time to wait for dns resolution.
static const long | timeout_connect = 5000
| Length of time to wait for TCP connect.
static const long | timeout_socket_shutdown = 5000
| Length of time to wait for socket shutdown.

## Detailed Description

Definition at line 56 of file asio_no_tls_client.hpp.

## Member Typedef Documentation

## alog_type

typedef type::alog_type websocketpp::config::asio_client::transport_config::alog_type

Definition at line 58 of file asio_no_tls_client.hpp.

## concurrency_type

typedef type::concurrency_type websocketpp::config::asio_client::transport_config::concurrency_type

Definition at line 57 of file asio_no_tls_client.hpp.

## elog_type

typedef type::elog_type websocketpp::config::asio_client::transport_config::elog_type

Definition at line 59 of file asio_no_tls_client.hpp.

## request_type

typedef type::request_type websocketpp::config::asio_client::transport_config::request_type

Definition at line 60 of file asio_no_tls_client.hpp.

## response_type

typedef type::response_type websocketpp::config::asio_client::transport_config::response_type

Definition at line 61 of file asio_no_tls_client.hpp.

## socket_type

typedef websocketpp::transport::asio::basic_socket::endpoint websocketpp::config::asio_client::transport_config::socket_type

Definition at line 63 of file asio_no_tls_client.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/config/asio_no_tls_client.hpp